unit QuickStartDemo_;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, AMovie;

type
  TForm1 = class(TForm)
    ActiveMovie1: TActiveMovie;
    SpeedButton1: TSpeedButton;
    Edit1: TEdit;
    OpenDialog1: TOpenDialog;
    CheckBox2: TCheckBox;
    CheckBox1: TCheckBox;
    procedure SpeedButton1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

//------------------------------------------------------------------------------
procedure TForm1.FormCreate(Sender: TObject);
//------------------------------------------------------------------------------
begin
   CheckBox2.Checked := ActiveMovie1.ShowControls;
   CheckBox1.Checked := ActiveMovie1.FullScreenMode;
end;

//------------------------------------------------------------------------------
procedure TForm1.SpeedButton1Click(Sender: TObject);
//------------------------------------------------------------------------------
begin
   OpenDialog1.Filter := 'video clips';
   OpenDialog1.FileName := '*.mpg;*.mpeg;*.avi;*.wav;*.mp3;*.asf;*.wmv';
   if OpenDialog1.Execute then begin
      Edit1.Text := OpenDialog1.FileName;
      ActiveMovie1.FileName := Edit1.Text;
      ActiveMovie1.Open;
   end;
end;


//------------------------------------------------------------------------------
procedure TForm1.CheckBox2Click(Sender: TObject);
//------------------------------------------------------------------------------
begin
   ActiveMovie1.ShowControls := CheckBox2.Checked;
   CheckBox2.Checked := ActiveMovie1.ShowControls; // loopback if ShowControls rejected
end;

//------------------------------------------------------------------------------
procedure TForm1.CheckBox1Click(Sender: TObject);
//------------------------------------------------------------------------------
begin
   ActiveMovie1.FullScreenMode := CheckBox1.Checked;
end;

end.
